Bug 175930 - tux module doesn't work.
tux module doesn't work.
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Ingo Molnar
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-16 08:56 EST by Karyl Stein
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 16:24:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karyl Stein 2005-12-16 08:56:56 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8) Gecko/20051111 Firefox/1.5

Description of problem:
I have installed the tux package, but it does not run because it is unable to load the tux kernel module.

Version-Release number of selected component (if applicable):
kernel-2.6.14-1.1653_FC4

How reproducible:
Always

Steps to Reproduce:
1. Install standard FC4 and all updates
2. Install tux package
3. Try to run tux
  

Actual Results:  The tux start seemed to work OK, but the web server was not running.

Expected Results:  The tux kernel module should load and be configured.

Additional info:

This may be related to bug 169656.
Comment 1 Dave Jones 2005-12-16 15:59:05 EST
it broke in 2.6.14 based kernels.  The next update at
http://people.redhat.com/davej/kernels/Fedora/FC4 has it enabled again, I'd love
to know how it works out for you..
Comment 2 Karyl Stein 2005-12-16 17:15:31 EST
I installed kernel 2.6.14-1.1767_FC4 i586 as found in that directory.  The tux
module loads on boot and I see the processes running.  The /proc/sys/net/docroot
and other entries set in the init.d script seem fine.  I am not changing
anything from the default tux package install other than adding a MIME type to
/etc/tux.mime.types to support WPAD (proxy auto detection) scripts.  I can
connect to port 80 on the system, but it does not respond to any requests.  I
put an index.html file in the docroot, but trying to access that through a
browser just returned a blank document after a delay.  Nothing is being logged
to /var/log/tux.  I don't see any tux-related messages logged elsewhere.
Comment 3 John Bass 2005-12-21 19:47:38 EST
I picked up Dave's kernel, and it hung the system on the first access to the
ftp port. Static port 80 traffic seemed to be ok prior to hang. Hang stopped
network packet traffic, with no keyboard response.

2.6.14-1.1771_FC4 #1 Mon Dec 19 23:03:41 EST 2005 i686

/etc/sysconfig/tux contains:

DOCROOT=/var/www/
modprobe tux
echo "html" > /proc/sys/net/tux/http_subdocroot
echo "ftp" > /proc/sys/net/tux/ftp_subdocroot
echo "ftp://0.0.0.0:21" > /proc/net/tux/0/listen/1
LOGFILE=/var/log/tux


Comment 4 Dave Jones 2006-02-03 02:16:52 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 5 John Thacker 2006-05-05 16:24:15 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.